Subject: Fw: LLPS Contact Us Submission
From: "LLPS Customer Service" <[email-masked]>
To: "Amber Blais" <[email-masked]>
Date: Tue, 10 Apr 2012 08:24:01 -0400

Thank you,
Michael B
LLPS

From: LLPS 
Sent: Monday, April 09, 2012 9:30 PM
To: [email-masked] 
Subject: LLPS Contact Us Submission

Name: Colleen Lum

E-mail Address: [email-masked]

Telephone: Not specified

Message: Hi, 
I just received my order but you did not include an invoice. I paid by
phone but I need a hard copy to get reimbursed. Please e-mail me
something in writing what the total amount was charged to my credit
card. 
My order # is 1457816. 
Thank you, 
Colleen Lum

Request generated on April 9th, 2012 at 9:30 PM EST from the IP address 173.198.87.68